<?php
 
session_start();
$com="A";
//include("DMMYSQLG.php");
//include("DSA1000.php");
include("DMMYSQLG.php");
//include("DF30000.inc");
//include("DF80000.php");
include("DFJQUERY.inc");
include("DFSELMAN.inc");

//if($_SESSION['tipven']=="" || $_SESSION['al']=="" || $_SESSION['vendedor']==""){
	//echo '<h2>VUELVA A IDENTIFICARSE!!</h2>';
	//exit();
//}
?>

<html>
<head>
<script language="javascript">
<!--

$(document).ready(function(){
	$('#noPedido').addClass('EstiloPedido');
	$('#fecha').addClass('EstiloFecha');
	$('#hora').addClass('EstiloHora');
	$('#buscarProducto').addClass('EstiloBuscar');
	$('#ventaTotal').addClass('EstiloVentaTotal');
	/*$('input#noPedido').addClass('EstiloProductosVenta');
	$('input#noPedido').addClass('Estilo3');
	$('input#noPedido').addClass('Estilo9');*/
	
	loadDefaults();
	setEvents()

});

function loadDefaults(){
	$.ajaxSetup({
		  type: "POST",
		  url: getAJAXS(),
		  async:false
	});

	getImgEmp();
	getEmp();
	getTipVen();
	getVendedor();
	getCliente();
	upDate('fecha');
	updateTime('hora');	
	$('#producto').focus();
	document.getElementById('spanTerminar').style.display='none';
	document.getElementById('spanCobrar').style.display='none';
	document.getElementById('divPago').style.display='none';
	document.getElementById('divPagoH').style.display='none';
}

function setEvents(){
	$('input#producto').keypress(function(){
		tecla = (document.all) ? event.keyCode : event.which; 
    	if (tecla==8) return true; //Tecla de retroceso (para poder borrar) 
		if(tecla==13){
			vende();
			document.getElementById('producto').value='';
			document.getElementById('cantidad').value='1';
			$('#producto').focus();
			return false;
		}
	});
	
	$('input#cantidad').keypress(function(){
		tecla = (document.all) ? event.keyCode : event.which; 
    	if (tecla==8) return true; //Tecla de retroceso (para poder borrar) 
		if(tecla==13){
			vende();
			document.getElementById('producto').value='';
			document.getElementById('cantidad').value='1';
			$('#producto').focus();
			return false;
		}
	});
	
	$('input#cobrarVenta').click(function(){
		//alert('entra');
		getTablaPago();
		agregaCobroH();
	});
	$('input#terminarVenta').click(function(){
		imprimeTicket();
	});
	$('input#agregaCobro').click(function(){
		//alert('en Ejecucion');
		agregaCobroD();
	});
	
	$('input#tcan').keypress(function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13)
			return false;
		return true;
	});
	$('input#tref').keypress(function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13)
			return false;
		return true;
	});
	$('input#taut').keypress(function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13)
			return false;
		return true;
	});
	$('input#cancelaVenta').click(function(){
		cancelaVenta();
	});
	
	$('input#buscarProducto').click(function(){
		ventanaBusProd();
	});
}


function getAJAXS(){
	return 'zPuntoVenta-SRV.php';
} 

function getImgEmp(){
	$.post(getAJAXS(),
		{ getSession: '' },
		function(datos) {
			document.getElementById('imagenEmpresa').src='logos/'+datos+'.jpg';
		}
	);
}

function getEmp(){
	$.post(getAJAXS(),
		{ getEmpresa: '' },
		function(datos) {
			document.getElementById('divEmpresa').innerHTML=datos;
		}
	);
}

function getTipVen(){
	$.post(getAJAXS(),
		{ getTipVen: '' },
		function(datos) {
			document.getElementById('tipoVenta').innerHTML=datos;
		}
	);

}

function getVendedor(){
	$.post(getAJAXS(),
		{ getVendedor: document.getElementById('idCajero').value },
		function(datos) {
			document.getElementById('divCajero').innerHTML=datos;
		}
	);
}
function getCliente(){
	$.post(getAJAXS(),
		{ getCliente: '' },
		function(datos) {
			document.getElementById('divCliente').innerHTML=datos;
		}
	);
}

function getTotal(consVen){
	$.post(getAJAXS(),
		{ getTotal: consVen },
		function(datos) {
			var total=new Number(datos);
			if(datos>0)
				document.getElementById('spanCobrar').style.display='';
			else
				document.getElementById('spanCobrar').style.display='none';
			document.getElementById('ventaTotal').value=total.toFixed(2);
		}
	);
}
function getTotalPagado(idPago){
	var objVentaTotal=document.getElementById('ventaTotal');
	var objCambio=document.getElementById('cambio');
	var objRecibe=document.getElementById('tcan');
	var recibe=document.getElementById('tcan').value;
	var cambio=document.getElementById('cambio').value;
	var cambios,cambiosAux;
	$.post(getAJAXS(),
		{ getTotalPagado: idPago },
		function(datos) {
			if(datos>=0){
				var total=new Number();
				var resta=new Number();
				var pagado=new Number(datos);
				if((objVentaTotal.value-datos)==0)
					var cambios=new Number(parseFloat(recibe)+parseFloat(cambio)-parseFloat(datos));
				else
					cambios=0.00;
				document.getElementById('pagado').value=pagado.toFixed(2);
				resta=objVentaTotal.value-datos;
				document.getElementById('resta').value=resta.toFixed(2);
				document.getElementById('cambio').value=cambios.toFixed(2);
				objRecibe.value="0.00";
				if((objVentaTotal.value-datos)==0)
						document.getElementById('spanTerminar').style.display='';
				else
						document.getElementById('spanTerminar').style.display='none';
					
			}else{
				//algo;
			}
		}
	);
}
function agregaPedido(vendedor){
	var producto=document.getElementById('producto').value;
	var cantidad=document.getElementById('cantidad').value;
	var rsDat;
	//alert('agregandoPedido');
	$.post(getAJAXS(),
		{ agregaPedido:vendedor},
		function(datos) {
			rsDat=datos;
		}
	);
	if(rsDat=='0'){
		alert('Error desconocido, intente nuevamente');
		return false;
	}
	else{
		document.getElementById('noPedido').value=rsDat;
		return true;
		//agregaProducto(rsDat,producto,cantidad);
	}
}

function agregaProducto(noPed,producto,cantidad){
	//alert('agregando Producto: Numero Pedido: '+noPed+' Producto: '+producto+' Cantidad: '+cantidad);
	$.post(getAJAXS(),
		{ agregaProducto:noPed+'|'+producto+'|'+cantidad},
		function(datos) {
			//alert(datos);
			 getTablaVentaProd(noPed);
			/*if(datos=='-1') 	
				alert('Error desconocido, intente nuevamente');
			if(datos=='0') 	
				alert('Producto No Encontrado');
			if(datos=='1') 
				alert('agregado');	*/
		}
	);
}

function eliminarProd(noReg){
	var noPedido=document.getElementById('noPedido').value;
	$.post(getAJAXS(),
		{ eliminaProd: noPedido+'|'+noReg},
		function(datos) {
			 getTablaVentaProd(noPedido);
		}
	);
}

function cancelaVenta(){
	var detalle=document.getElementsByName('beliminar');
	var detallePago=document.getElementsByName('beliminarPago');
	var	objNoPed=document.getElementById('noPedido');
	var i;
	for(i=0;i<detalle.length;i++)
		detalle['i'].click();
	for(i=0;i<detallePago.length;i++)
		detallePago['i'].click();
		
	$.post(getAJAXS(),
		{ cancelaPedido:objNoPed.value},
		function(datos) {
			document.frm1.submit();				
		}
	);	
}
function vende(){
	var objNoPed;
	var objProducto;
	var objCantidad;
	var objCajero;
	var rs, rsag,rsProd;
	rs=true;
	objNoPed=document.getElementById('noPedido');
	objProducto=document.getElementById('producto');
	objCantidad=document.getElementById('cantidad');
	objCajero=document.getElementById('idCajero');
	//alert(objProducto.value);
	rsProd=buscaProducto(objProducto.value,objCantidad.value);
	switch(rsProd){
		case '-1':
			alert('El producto no se encuentra en el almacen');
		break;
		case '0':
			alert('Cantidad insuficiente');
		break;
		case '1':
			if(objNoPed.value==''){
				rs=false;
				rs=agregaPedido(objCajero.value);
			}
			if(rs==true){
				agregaProducto(objNoPed.value,objProducto.value,objCantidad.value);
			}
		break;
	}				

}
function buscaProducto(producto,cantidad){
	var rs;
	$.post(getAJAXS(),
		{ buscaProducto:'',idProd:producto,canPed:cantidad},
		function(datos) {
			//alert(datos);
			rs=datos;
		}
	);
	return rs;	
}
function agregaCobroH(){
	var objNoPed=document.getElementById('noPedido');
	var objProducto=document.getElementById('producto');
	var objCantidad=document.getElementById('ventaTotal');
	var objCajero=document.getElementById('idCajero');
	
	$.post(getAJAXS(),
		{ agregaCobroH: objNoPed.value+'|'+objCajero.value+'|'+objCantidad.value},
		function(datos) {
			if(datos>0){
				document.getElementById('idCobro').value=datos;
				document.getElementById('spanCobrar').style.display='none';
			 	document.getElementById('divPago').style.display='';
				document.getElementById('divPagoH').style.display='';
				//getTablaVentaProd(objNoPed.value);
			}
			else{
				document.getElementById('divPago').style.display='none';
				document.getElementById('divPagoH').style.display='none';
				alert('Error desconocido, Intente nuevamente');
			}
		}
	);
}

function agregaCobroD(){
	var objNoPed=document.getElementById('noPedido');
	var objProducto=document.getElementById('producto');
	var objCantidad=document.getElementById('cantidad');
	var objCajero=document.getElementById('idCajero');
	var objPago=document.getElementById('idCobro');
	var objtCan=document.getElementById('tcan');
	var objtref=document.getElementById('tref');
	var objtaut=document.getElementById('taut');
	var objSelect= new SelectManager('select');
	//alert('Cantidad:'+objtCan.value+'  Select: '+objSelect.getSelectedValue()+'  tref Pago: '+objPago.value);
	$.post(getAJAXS(),
		{ agregaCobroD:'',tcan:objtCan.value,oselect:objSelect.getSelectedValue(),tger_cajerosj:objPago.value,tref:objtref.value,taut:objtaut.value},
		function(datos) {
				//alert("de regreso: \n :"+datos);
				getTablaPago();
				getTotalPagado(objPago.value);
		}
	);
}

function eliminaCobroD(valorReg){
	var objPago=document.getElementById('idCobro');
	var valChe=-1;
	var objSelect= new SelectManager('select');
	valChe=valorReg;
	$.post(getAJAXS(),
		{ eliminaCobroD:'',bot:valChe,tger_cajerosj:objPago.value},
		function(datos) {
				getTablaPago();
				getTotalPagado(objPago.value);
		}
	);
}

function getTablaVentaProd(noPed){
	//alert('agregando Producto: Numero Pedido: '+noPed+' Producto: '+producto+' Cantidad: '+cantidad);
	$.post(getAJAXS(),
		{ tablaProdVen:noPed},
		function(datos) {
		getTotal(noPed);
		
			//alert(datos);
			document.getElementById('divProductosVenta').innerHTML=datos;
			//alert(datos);
			/*if(datos=='-1') 	
				alert('Error desconocido, intente nuevamente');
			if(datos=='0') 	
				alert('Producto No Encontrado');
			if(datos=='1') 
				alert('agregado');	*/
		}
	);
}

function getTablaPago(){
	//alert('agregando Producto: Numero Pedido: '+noPed+' Producto: '+producto+' Cantidad: '+cantidad);
	$.post(getAJAXS(),
		{ getTablaPago:'',tger_cajerosj:document.getElementById('idCobro').value},
		function(datos) {
			document.getElementById('divPago').innerHTML=datos;
		}
	);
}

function redondear(cantidad, decimales) {
	var cantidad = parseFloat(cantidad);
	var decimales = parseFloat(decimales);
	decimales = (!decimales ? 2 : decimales);
	return Math.round(cantidad * Math.pow(10, decimales)) / Math.pow(10, decimales);
}

function updateTime(objeto){
    var Today = new Date();
	var hours = Today.getHours();
	var min = Today.getMinutes();
	var sec = Today.getSeconds();
	var Time = ((hours > 12) ? hours - 12 :(hours == 0) ? 12 :hours);
	Time += ((min < 10) ? ":0" : ":") + min;
	Time += ((sec < 10) ? ":0" : ":") + sec;
	Time += (hours >= 12) ? " PM" : " AM";
    document.getElementById(objeto).value= Time;
    setTimeout("updateTime('"+objeto+"')",1000);
}

function upDate(objeto){
	var Today = new Date();
	var day = Today.getDate();
	var month = Today.getMonth()+1;
	var year = Today.getFullYear();
    document.getElementById(objeto).value= day+'/'+month+'/'+year;
}

function imprimeTicket(){
  var Today = new Date();
	var hours = Today.getHours();
	var minutes = Today.getMinutes();
	var seconds = Today.getSeconds();
	var idPedido=document.getElementById('noPedido').value;
	var idCobro=document.getElementById('idCobro').value;
	var idVendedor=document.getElementById('idCajero').value;
	var contador;
	contador=0;
	//openpage('zDG24000_RE.php?idPedido='+idPedido+'&vendedor='+idVendedor+'&rec_caj='+idCobro,'_blank');
	window.open('DG23000_RE-HTML.php?bot='+idPedido+'&vendedor='+idVendedor+'&rec_caj='+idCobro+'&hora='+hours+minutes+seconds+contador,'popuppage','width=500,height=500,top=100,left=50,scrollbars=yes,menubar=no,status=no');
	document.frm1.submit();
	//contador++;	
	//window.open('zDG24000_TMEN.php?idPedido='+idPedido+'&vendedor='+idVendedor+'&rec_caj='+idCobro+'&hora='+hours+minutes+seconds+contador,'popuppage','width=500,height=500,top=100,left=50,scrollbars=yes,menubar=no,status=no');
}

function ventanaBusProd(){
	var Today = new Date();
	var ventana;
	var uniPag=Today.getHours()+Today.getMinutes()+Today.getSeconds()+Today.getDay()+Today.getMonth()+Today.getFullYear();
    var producto=document.getElementById('producto').value;
	ventana=window.open("zBusProd.php?"+uniPag+"&producto="+producto+"&tipBusbp=des", "_blank", "toolbar=no,menubar=no,directories=no,status=no,resizable=yes,location=no,scrollbars=yes,screenX=0,screenY=0,width=500,height=500");
}
-->
</script>


</head>
<body>


<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<div align="center">
  <form name="frm1" id="frm1" method="post" action="">
   <input type="hidden" name="idCajero" id="idCajero" <?php
 if(isset($_POST['idCajero'])) 
   																echo ' value="'.$_POST['idCajero'].'"';
															else
																echo ' value="'.$_SESSION['vendedor'].'"';
														?>>
   <input type="hidden" name="idCobro" id="idCobro">
    <table width="800" height="674" border="0" cellspacing="0" id="tablaPuntoVenta">
      <tr>
        <td colspan="4" rowspan="2" nowrap scope="col">
		<img id="imagenEmpresa" src="" width="183" height="50">&nbsp;		</td>
        <td height="23" colspan="3" nowrap scope="col"><div align="center" class="style2" id="divEmpresa"></div></td>
        <td colspan="2" nowrap scope="col"><div align="right"><span class="style2">No. Pedido:
       
        
            </span>
          <input class="EstiloPedido" name="noPedido" type="text" id="noPedido" size="7" readonly>
        </div></td>
      </tr>
      <tr>
        <td height="30" colspan="3" nowrap ><div align="center" id="tipoVenta"  class="style2"></div></td>
        <td colspan="2" nowrap >
          <div align="right">
            <input name="fecha" type="text" id="fecha" size="10" readonly>
            
            <input name="hora" type="text" class="EstiloHora" id="hora" size="8" readonly>
          </div></td></tr>
      
      <tr style="#FFFFFF">
        <td height="24" nowrap><span class="style2">Cajero:</span></td>
        <td height="24" colspan="4" nowrap><div align="left" class="style2" id="divCajero"></div></td>
        <td height="24" nowrap class="style2">Cliente:</td>
        <td height="24" colspan="3" nowrap><div align="left" class="style2" id="divCliente"></div></td>
      </tr>
      <tr style="#336633">
        <td height="24" nowrap>&nbsp;</td>
        <td height="24" nowrap><div align="center" class="Estilo9">Cantidad</div></td>
        <td  nowrap>&nbsp;</td>
        <td height="24" colspan="2" nowrap><div align="center" class="Estilo9">Producto</div></td>
        <td  height="24" nowrap><div align="center" class="Estilo9"></div></td>
        <td  height="24" nowrap><div align="center"><span class="Estilo9">Pre.Uni</span>.</div></td>
        <td nowrap><div align="center" class="Estilo9">Total </div></td>
        <td height="24" nowrap><div align="center"></div></td>
      </tr>
	  <tr>
        <td height="26" nowrap>&nbsp;</td>
        <td  nowrap><div align="center">
          <input name="cantidad" type="text" class="tdeli" id="cantidad" value="1" size="1">
        </div></td>
        <td height="26" colspan="4" nowrap><label></label>          <div align="center">
          <input name="producto" type="text" class="tdeli" id="producto" >
        </div></td>
        <td nowrap>
          <div align="center"></div>       </td>
        <td nowrap>
          
          <div align="center"></div></td>
        <td height="26" nowrap><label>
          <input name="buscarProducto" type="button" id="buscarProducto" value="Buscar">
        </label></td>
      </tr>
      <tr>
	  <td height="400" colspan="9"><div id="divProductosVenta" align="center" class="EstiloProductosVenta">&nbsp;</div></td>
      </tr>
      
      <tr>
        <td height="23" colspan="6" nowrap style="#336699"><label>
          <span id="spanCancelar"><input name="cancelaVenta" type="button" id="cancelaVenta" value="Cancelar" >
          </span>
          <span id="spanCobrar"><input name="cobrarVenta" type="button" id="cobrarVenta" value="Cobrar">
          </span>
          <span id="spanTerminar"><input name="terminarVenta" type="button" id="terminarVenta" value="Terminar">
          </span>
        </label></td>
        <td height="23" nowrap style="#336699"><div align="right"><span class="Estilo3"> Total: $ </span></div></td>
        <td height="23" nowrap style="#336699">
          
          <div align="left">
            <input name="ventaTotal" type="text" class="EstiloVentaTotal" id="ventaTotal" size="2" readonly>
          </div>       </td>
        <td height="23" nowrap style="#336699"><label></label></td>
      </tr>
      
      <tr>
        <td width="70" height="5" nowrap>&nbsp;</td>
        <td width="70" height="5" nowrap>&nbsp;</td>
        <td width="25" height="5" nowrap>&nbsp;</td>
        <td width="25" height="5" nowrap>&nbsp;</td>
        <td width="240" height="5" nowrap>&nbsp;</td>
        <td width="50" height="5" nowrap>&nbsp;</td>
        <td width="100" height="5" nowrap>&nbsp;</td>
        <td width="100" height="5" nowrap>&nbsp;</td>
        <td width="120" height="5" nowrap>&nbsp;</td>
      </tr>
      <tr>
        <td height="60" colspan="9" nowrap>
		
		<div id="divPagoH">
		<table width="800"  align="center">
       		<tr>
        		<td width="128"><div align="left">
        			<select name="select" tabindex="2" onChange="hab_camp(this.value)">
        		    <?php

					@$resultado=mysqli_query($con ,"select * from dgtippag");
					while($registro=mysqli_fetch_array($resultado)){
						if($_POST['select']==$registro['tip_pag']){
							echo '<option value="'.$registro['tip_pag'].'|'.$registro['tip_mv_pag'].'|'.$registro['tip_aplica'].'" selected>'.$registro['desc_pag']. '</option>';
						}else{
							echo '<option value="'.$registro['tip_pag'].'|'.$registro['tip_mv_pag'].'|'.$registro['tip_aplica'].'">'.$registro['desc_pag']. '</option>';
						}
					}			
				?>
      		    	</select>
                </div></td>
        <td width="65"><div align="left">Recibe:&nbsp;&nbsp;$ </div></td>
        <td width="86" >
		  <div align="left">
		    <input name="tcan" type="text" id="tcan" size="7" maxlength="10">
		    </div></td>
        <td width="95" ><div align="left">Referencia:</div></td>
        <td width="101"><div align="left">
          <input name="tref" type="text" id="tref" size="15">
        </div></td>
        <td colspan="2"><div align="left">Autorizacion:
          <input name="taut" type="text" id="taut" size="5" maxlength="30">
        </div></td>
        <td width="73"><input type="button" name="agregaCobro" id="agregaCobro" value="Agregar"></td>
      </tr>
      <tr>
        <td><div align="left">PAGADO $:
        </div>          <label></label></td>
        <td colspan="2"><label>
          <div align="left">
            <input name="pagado" type="text" class="EstiloVentaTotal" id="pagado" value="0.00" size="2" readonly>
            </div>
        </label></td>
        <td><div align="left">RESTA :$ </div></td>
        <td><div align="left">
          <input name="resta" type="text" class="EstiloVentaTotal" id="resta" value="0.00" size="2" readonly>
        </div></td>
        <td width="84"><div align="left">CAMBIO $:</div></td>
        <td colspan="2"><label>
          <div align="left">
            <input name="cambio" type="text" class="EstiloVentaTotal" id="cambio" value="0.00" size="2" readonly>
            </div>
        </label></td>
      </tr>
  	</table>
	</div>
	<div id="divPago" class="EstiloPago">&nbsp;
			
	</div></td>
   </tr>
    </table>
  </form>
</div>
</body>
</html>